=== modified file 'upstream_import.py'
--- upstream_import.py	2009-11-07 17:08:08 +0000
+++ upstream_import.py	2009-11-13 00:43:08 +0000
@@ -163,6 +163,10 @@
             yield member.name
 
 
+def should_ignore(relative_path):
+    return top_path(relative_path) == '.bzr'
+
+
 def import_tar(tree, tar_input):
     """Replace the contents of a working directory with tarfile contents.
     The tarfile may be a gzipped stream.  File ids will be updated.
@@ -201,10 +205,10 @@
         if prefix is not None:
             relative_path = relative_path[len(prefix)+1:]
             relative_path = relative_path.rstrip('/')
-        if relative_path == '.bzr' or relative_path.startswith('.bzr/'):
-            continue
         if relative_path == '':
             continue
+        if should_ignore(relative_path):
+            continue
         add_implied_parents(implied_parents, relative_path)
         trans_id = tt.trans_id_tree_path(relative_path)
         added.add(relative_path.rstrip('/'))

